You are not logged in.

#1 2014-05-14 23:02:19

zottel
Member
Registered: 2014-05-14
Posts: 3

[SOLVED] linux-3.14.3-2 reports wrong uname and cannot load modules

Hi,

I just did a pacman -Syu and also got a kernel update from 3.14.1-1 to 3.14.3-2.
Now when I boot, systemd cannot load any kernel modules.
It turns out that the kernel installed is of the wrong version

uname -r
3.14.2-1-ARCH

and modules are not matching.

ls /lib/modules/
3.14.1-1-ARCH  3.14.3-2-ARCH  extramodules-3.14-ARCH

sudo pacman -S linux
warning: linux-3.14.3-2 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Packages (1): linux-3.14.3-2

Total Installed Size:   70,26 MiB
Net Upgrade Size:       0,00 MiB

I was able to boot for the moment by symlinking the modules

sudo ln -s /lib/modules/3.14.3-2-ARCH /lib/modules/3.14.2-1-ARCH

Any ideas on what might be wrong and how to fix it?

Last edited by zottel (2014-05-15 18:22:06)

Offline

#2 2014-05-14 23:09:37

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 13,110

Re: [SOLVED] linux-3.14.3-2 reports wrong uname and cannot load modules

Either you did not have /boot mounted when you did your last kernel upgrade, or you are not booting from where you think you are booting.  Somehow, whatever boot loader you are using is finding your old kernel.

Check as to whether /boot is mounted now.  If is not, look in /boot and see if there are files there.  If there are, they are in the wrong place, they are in the / system at a directory called /boot.  Had the boot partition been mounted at /boot, then the files would have been written to the boot partition where they belong.   

If boot is mounted, still look in there and see if the dates are correct for the new kernel and the initrd.  If they are not, then just reinstall the kernel.

If boot was mounted, and the files have the correct date, then you are not booting from where you think you are.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

#3 2014-05-14 23:25:59

zottel
Member
Registered: 2014-05-14
Posts: 3

Re: [SOLVED] linux-3.14.3-2 reports wrong uname and cannot load modules

You were right, I was not booting from where I thought I was.
After some repartitioning some time ago, I must have forgotten to put an fstab entry for my boot partition.
Why this worked up until now I don't know, though. I'm pretty sure it was not the first kernel update since...

Oh well, after fixing this I could upgrade the kernel and everything is dandy.

Thanks a lot.

Cheers!

Offline

#4 2014-05-15 00:04:57

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: [SOLVED] linux-3.14.3-2 reports wrong uname and cannot load modules

Please remember to mark the thread as solved https://bbs.archlinux.org/viewtopic.php?id=130309

Offline

#5 2014-05-15 18:23:10

zottel
Member
Registered: 2014-05-14
Posts: 3

Re: [SOLVED] linux-3.14.3-2 reports wrong uname and cannot load modules

Just to add another keyword for others having this problem: systemd-load-modules smile

Marked as solved. Thanks for the reminder.

Offline

Board footer

Powered by FluxBB